/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.IO;
using System.Runtime.Serialization;
using System.Text;
using System.Text.RegularExpressions;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using Newtonsoft.Json.Linq;
using System.ComponentModel.DataAnnotations;
using OpenAPIDateConverter = Coscine.ApiClient.Core.Client.OpenAPIDateConverter;

namespace Coscine.ApiClient.Core.Model
{
    /// <summary>
    /// Specifies the RDF &lt;i&gt;(Resource Description Framework)&lt;/i&gt; format.
    /// </summary>
    /// <value>Specifies the RDF &lt;i&gt;(Resource Description Framework)&lt;/i&gt; format.</value>
    [JsonConverter(typeof(StringEnumConverter))]
    public enum RdfFormat
    {
        /// <summary>
        /// Enum TextTurtle for value: text/turtle
        /// </summary>
        [EnumMember(Value = "text/turtle")]
        TextTurtle = 1,

        /// <summary>
        /// Enum ApplicationLdjson for value: application/ld+json
        /// </summary>
        [EnumMember(Value = "application/ld+json")]
        ApplicationLdjson = 2,

        /// <summary>
        /// Enum ApplicationXTrig for value: application/x-trig
        /// </summary>
        [EnumMember(Value = "application/x-trig")]
        ApplicationXTrig = 3
    }

}
